Bug 505189

Summary: Going back to repo UI screen and and modifying Installation Repo causes traceback
Product: [Fedora] Fedora Reporter: Michael Gregg <mgregg>
Component: anacondaAssignee: Radek Vykydal <rvykydal>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: awilliam, fredrik, jgranado, jlaska, l.wandrebeck, rhe, rmaximo, vanmeeuwen+fedora
Target Milestone: ---Keywords: CommonBugs
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:070f11bfb6a9946d213b79371ceb96193016c8daa9ae96e654a7aa14d5701c03 https://fedoraproject.org/wiki/Common_F13_bugs#Traceback_when_going_back_to_modify_Installation_Repo
Fixed In Version: anaconda-14.0-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 574777 (view as bug list) Environment:
Last Closed: 2010-12-05 01:52:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 507684, 574777    
Description Flags
Attached traceback automatically from anaconda. none

Description Michael Gregg 2009-06-10 18:27:07 EDT
The following was filed automatically by anaconda:
anaconda exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/yum/sqlitesack.py", line 123, in _sql_MD
    cache = getattr(self.sack, MD + 'db')[self.repo]
  File "/usr/lib/python2.6/site-packages/yum/sqlitesack.py", line 44, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/yum/sqlitesack.py", line 256, in returnPrco
    cur = self._sql_MD('primary', sql, (self.pkgKey,))
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 432, in returnPrcoNames
    lists = self.returnPrco(prcotype)
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 454, in <lambda>
    provides_names = property(fget=lambda self: self.returnPrcoNames('provides'))
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 204, in allowedMultipleInstalls
    provides = po.provides_names
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2655, in install
    if not self.allowedMultipleInstalls(po):
  File "/usr/lib/python2.6/site-packages/yum/transactioninfo.py", line 205, in add
    for condtxmbr in self.install_method(po=pkg):
  File "/usr/lib/python2.6/site-packages/yum/transactioninfo.py", line 510, in add
    TransactionData.add(self, txmember)
  File "/usr/lib/anaconda/sortedtransaction.py", line 71, in add
    SortableTransactionData.add(self, txmember)
  File "/usr/lib/python2.6/site-packages/yum/transactioninfo.py", line 324, in addInstall
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 585, in _requiringFromTransaction
    txmbr = self.tsInfo.addInstall(best)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 280, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(po, requirement, errormsgs)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 792, in _resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 699, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 717, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/anaconda/yuminstall.py", line 1311, in doPostSelection
    (code, msgs) = self.ayum.buildTransaction()
  File "/usr/lib/anaconda/backend.py", line 279, in doPostSelection
    return anaconda.backend.doPostSelection(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
KeyError: <yuminstall.AnacondaYumRepo object at 0x7f2055079a10>
Comment 1 Michael Gregg 2009-06-10 18:27:10 EDT
Created attachment 347302 [details]
Attached traceback automatically from anaconda.
Comment 2 Michael Gregg 2009-06-10 18:32:21 EDT
Th description doesn't seem very useful. 

Let's see, it does not look like this problem has anything to do with the drive layout. 
It looks somewhat like it's a problem resolving dependencies. 

I turned a lot off, including the whole office tools group, and the games/entertainment selection. 

When the installer asked if I would like to use the Fedora 11 and Fedora 11 update repos, I selected both, and then changed my mind, deselecting those items.

This issue seems reproducible.
Comment 5 Joel Andres Granados 2009-09-03 08:16:58 EDT
Does this behavior continue in f12 (alpha) and/or rawhide?
Comment 6 Chris Lumens 2009-10-12 09:32:44 EDT
*** Bug 528423 has been marked as a duplicate of this bug. ***
Comment 7 Chris Lumens 2009-10-26 10:00:29 EDT
*** Bug 530428 has been marked as a duplicate of this bug. ***
Comment 8 Laurent Wandrebeck 2009-10-26 10:09:39 EDT
Hit with x86_64 F12 beta (dvd install).
Comment 9 Fredrik Rambris 2009-10-26 10:13:14 EDT
I got this error in f12 beta. Did a default install (no options changed).
(bug #530428)
Comment 10 Bug Zapper 2009-11-16 05:03:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 12 Chris Lumens 2010-02-26 10:58:55 EST
*** Bug 568396 has been marked as a duplicate of this bug. ***
Comment 15 Radek Vykydal 2010-03-03 11:14:53 EST
James, thanks for reproducer, This updates image (against f13 alpha rc4 which is anaconda 13.32) 
fixes the issue for me.

I noticed that steps 5. and 6. (no matter if they were preceded by 3. and 4.) make installation process significantly resource-hungrier - in my 512 MB VM I can install about 800 packages and then install fails with "install exited abnormally [1/1]" - this is another bug independent of this one, however.
Comment 16 Radek Vykydal 2010-03-09 05:43:18 EST
This will be fixed by commit f8c1f662b5195805d5fbde60c6593909cd8f4395 in next build of anaconda from master branch, which should be anaconda-14.0-1 I think.
Comment 17 Radek Vykydal 2010-03-16 06:38:47 EDT
(In reply to comment #15)
> I noticed that steps 5. and 6. (no matter if they were preceded by 3. and 4.)
> make installation process significantly resource-hungrier - in my 512 MB VM I
> can install about 800 packages and then install fails with "install exited
> abnormally [1/1]" - this is another bug independent of this one, however.    

For reference, this issue should be fixed by patch
sent for review.
Comment 18 James Laska 2010-03-18 10:04:34 EDT
I've hit this several times while testing Fedora 13 Alpha and Beta TC0 (see bug#568396).  While there is no specific release criteria to address this, I think this falls into an except testers will encounter during CD-ROM installations.

Adding blocks:F13Beta to request pulling this change into F13Beta.  The use case affected is anytime you go "Back" to the reposetup step, and modify the Installation repository, this failure will occur.

This seems fairly specific and a safe fix to pull into F-13.
Comment 19 James Laska 2010-03-18 10:56:16 EDT
Updated updates.img against F-13-Beta available also - http://jlaska.fedorapeople.org/updates-505189.img

Tested and confirmed updates.img against F-13-Beta-TC0.
Comment 20 James Laska 2010-03-19 10:48:37 EDT
*** Bug 575121 has been marked as a duplicate of this bug. ***
Comment 21 Adam Williamson 2010-03-19 13:04:05 EDT
We discussed this at the blocker review meeting of 2010-03-19. We agreed it's not quite a blocker, but it's nice-to-have and should be brought into F13 for the beta.

Dropping to Target.

Fedora Bugzappers volunteer triage team
Comment 22 Radek Vykydal 2010-05-10 04:54:25 EDT
*** Bug 590518 has been marked as a duplicate of this bug. ***
Comment 23 Radek Vykydal 2010-05-10 10:08:09 EDT
Updates image for F13:
Comment 24 He Rui 2010-05-13 02:55:52 EDT
(In reply to comment #23)
> Updates image for F13:
> http://rvykydal.fedorapeople.org/updates.505189.img    

Well done. It fixes this issue (bug 590518) under my testing.
Comment 25 Bug Zapper 2010-11-04 07:09:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 26 Bug Zapper 2010-12-05 01:52:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.